# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.Migrate

Packages that use CollectionAdminRequest.Migrate
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.Migrate in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.Migrate
Modifier and Type
Method
Description
`static CollectionAdminRequest.Migrate`
CollectionAdminRequest.`migrateData(String collection, String targetCollection, String splitKey)`
Returns a SolrRequest to migrate data matching a split key to another collection
`CollectionAdminRequest.Migrate`
CollectionAdminRequest.Migrate.`setForwardTimeout(int forwardTimeout)`
`CollectionAdminRequest.Migrate`
CollectionAdminRequest.Migrate.`setProperties(Properties properties)`